Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.prover
Class SimplifyResult

    java.lang.Object
      escjava.prover.SimplifyOutput
          escjava.prover.SimplifyResult

Direct Known Subclasses:
  TriggerlessQuantWarning

public class SimplifyResult
extends SimplifyOutput

An object of this class represent a "result" produced by Simplify.

See Also:
  `Simplify`, `CECEnum`, `SExp`

Field Summary
`(package private) SList` | `context`
`(package private) SList` | `labels`

Fields inherited from class escjava.prover.SimplifyOutput
`COMMENT, COUNTEREXAMPLE, END, EXCEEDED_PROVER_KILL_ITER, EXCEEDED_PROVER_KILL_TIME, EXCEEDED_PROVER_SUBGOAL_KILL_ITER, EXCEEDED_PROVER_SUBGOAL_KILL_TIME, INVALID, kind, REACHED_CC_LIMIT, UNKNOWN, VALID, WARNING_TRIGGERLESS_QUANT`

Constructor Summary
`(package private)` | `SimplifyResult(int kind, SList labels, SList context)`

Method Summary
`SList` | `getContext()`
`SList` | `getLabels()`
`java.lang.String` | `toString()`

Methods inherited from class escjava.prover.SimplifyOutput
`getKind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### labels

    SList labels

### context

    SList context

Constructor Detail

### SimplifyResult

    SimplifyResult(int kind,
                   SList labels,
                   SList context)

Method Detail

### getLabels

    public SList getLabels()

### getContext

    public SList getContext()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimplifyOutput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage